Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::TransferSwitch::Settings Struct Reference

Transfer switch settings. More...

## Public Attributes
string | name
| User-defined name.
int | preferredSource
| Preferred inlet.
boolean | autoRetransfer
| Enable automatic retransfer if power on active inlet is restored.
boolean | noAutoRetransferIfPhaseFault
| Don't automatically retransfer if inlet phases are out of sync.
int | autoRetransferWaitTime
| Time (in s) to delay retransfer after power restoration.
boolean | manualTransferEnabled
| Enable state of 'manual transfer' front panel button.
boolean | phaseSyncSensorEnabled
| False to force the 'phaseSyncAlarm' sensor to unavailable.

## Detailed Description

Transfer switch settings.

The documentation for this struct was generated from the following file:

- TransferSwitch.idl